# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'array/sort/version'

Gem::Specification.new do |spec|
  spec.name          = 'array-sort'
  spec.version       = ArraySort::VERSION
  spec.authors       = ['Leo Liang']
  spec.email         = ['developer@leoliang.com']

  spec.summary       = 'Implementations of popular sorting algorithms for Arrays.'
  spec.description   = 'Implements sorting algorithms such as merge sort, bubble sort, heap sort, etc. for Arrays.'
  spec.homepage      = 'https://github.com/foxhatleo/array-sort'
  spec.license       = 'MIT'

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = 'TODO: Set to \'http://mygemserver.com\''
  # else
  #   raise 'RubyGems 2.0 or newer is required to protect against ' \
  #     'public gem pushes.'
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'minitest', '~> 5.0'
  spec.add_development_dependency 'rake', '~> 10.0'
end
